=== vxlib/CMakeLists.txt ===
PROJECT(VXLIB)

FIND_LIBRARY(LIB_XMU "Xmu")

# configure source files
FILE(GLOB VXLIB_SRC *.c)

INCLUDE_DIRECTORIES(${MOTIF_INCLUDE_DIR})

ADD_LIBRARY(vx SHARED ${VXLIB_SRC})
# Set library version when building shared libs.
SET_TARGET_PROPERTIES(vx PROPERTIES ${VIA_LIBRARY_PROPERTIES})

ADD_LIBRARY(vx_static STATIC ${VXLIB_SRC})
#The library target "vx_static" has a default OUTPUT_NAME of "vx_static", can be changed with
SET_TARGET_PROPERTIES(vx_static PROPERTIES ${VIA_LIBRARY_PROPERTIES} OUTPUT_NAME "vx")

TARGET_LINK_LIBRARIES(vx m viaio ${MOTIF_LIBRARIES} ${X11_Xt_LIB} ${X11_LIBRARIES} ${LIB_XMU})
# MESSAGE(STATUS )

# install library
INSTALL(TARGETS vx vx_static
    RUNTIME DESTINATION ${VIA_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${VIA_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${VIA_INSTALL_LIB_DIR} COMPONENT Development)
