=== base/vflip/CMakeLists.txt ===
PROJECT(VFLIP)

ADD_EXECUTABLE(vflip vflip.c)
TARGET_LINK_LIBRARIES(vflip via)

INSTALL(TARGETS vflip
        RUNTIME DESTINATION ${VIA_INSTALL_BIN_DIR}
        COMPONENT RuntimeLibraries)
