=== debian/control ===
Source: via
Section: libs
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Build-Depends: cdbs, debhelper (>= 5), lesstif2-dev, libgsl0-dev, libxaw7-dev, doxygen, cmake, libblas-dev, libpng12-dev | libpng-dev
Standards-Version: 3.8.4.0
Homepage: http://www.cbs.mpg.de/institute/software/lipsia
Vcs-Browser: http://git.debian.org/?p=debian-med/via.git
Vcs-Git: git://git.debian.org/git/debian-med/via.git
XS-DM-Upload-Allowed: yes


Package: libvia0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for volumetric image analysis
 VIA is a volumetric image analysis suite. The included libraries provide
 about 70 image analysis functions.
 .
 This package contains the shared libraries of vialib, vxlib and viaio.


Package: libvia-dev
Section: libdevel
Architecture: any
Depends: libvia0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library for volumetric image analysis
 VIA is a volumetric image analysis suite. The included libraries provide
 about 70 image analysis functions.
 .
 This package provides the header files and static libraries of vialib, vxlib
 and viaio.


Package: via-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for volumetric image analysis
 VIA is a volumetric image analysis suite for functional and structural
 (medical) images. The suite consists of different tools ranging from
 simple data handling over viewers to complex image transformation.
 .
 All tools operate on data in VISTA format. The package contains several
 converters from e.g. PNG, PGM or PNM to this data format and back.


Package: libvia-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VIA library API documentation
 VIA is a volumetric image analysis suite. The included libraries provide
 about 70 image analysis functions.
 .
 This package provides the library API reference documentation.
