=== pgms/CMakeLists.txt ===
PROJECT(VIAPGMS)

SUBDIRS(vaniso2d vaniso3d vbinarize vbinmorph3d vbinsize vcanny2d vcanny3d
        vcontrast vconvolve2d vconvolve3d vcurvature vdelsmall vderiche3d
        vdist3d vgauss3d vgenus3d vgreymorph3d vhemi vimage2graph
        vimage2volumes visodata vkernel2d vlabel2d vlabel3d vmedian3d
        volumes2image volumeselect vquickmorph3d vscale2d vscale3d vselbig
        vskel2d vskel3d vsmooth3d vthin3d vtopoclass)
