=== viaio/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,9 @@
 ADD_LIBRARY(viaio_static STATIC ${VIAIO_SRC})
 #The library target "viaio_static" has a default OUTPUT_NAME of "viaio_static", can be changed with
 SET_TARGET_PROPERTIES(viaio_static PROPERTIES ${VIA_LIBRARY_PROPERTIES} OUTPUT_NAME "viaio")
+MESSAGE(STATUS ${LIB_GSL})
 
-TARGET_LINK_LIBRARIES(viaio m ${LIB_GSL} ${LIB_BLAS})
+TARGET_LINK_LIBRARIES(viaio m ${LIB_GSL} ${LIB_CBLAS})
 
 # install libraries
 INSTALL(TARGETS viaio viaio_static
