=== vialib/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #The library target "via_static" has a default OUTPUT_NAME of "via_static", can be changed with
 SET_TARGET_PROPERTIES(via_static PROPERTIES ${VIA_LIBRARY_PROPERTIES} OUTPUT_NAME "via")
 
-TARGET_LINK_LIBRARIES(via viaio ${LIB_GSL} ${LIB_BLAS})
+TARGET_LINK_LIBRARIES(via viaio ${LIB_GSL} ${LIB_CBLAS})
 
 # install library
 INSTALL(TARGETS via via_static
