=== base/pngtov/CMakeLists.txt ===
PROJECT(PNGTOV)

FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
ADD_DEFINITIONS(${PNG_DEFINITIONS})

ADD_EXECUTABLE(pngtov pngtov.c)
TARGET_LINK_LIBRARIES(pngtov via ${PNG_LIBRARY})

INSTALL(TARGETS pngtov
        RUNTIME DESTINATION ${VIA_INSTALL_BIN_DIR}
        COMPONENT RuntimeLibraries)
