=== base/pnmtov/CMakeLists.txt ===
PROJECT(PNMTOV)

ADD_EXECUTABLE(pnmtov pnmtov.c)
TARGET_LINK_LIBRARIES(pnmtov via)

INSTALL(TARGETS pnmtov
        RUNTIME DESTINATION ${VIA_INSTALL_BIN_DIR}
        COMPONENT RuntimeLibraries)
