=== debian/changelog ===
via (2.0.4-2) unstable; urgency=low

  * Add missing dependency x11proto-core-dev to libvia-dev.

 -- Michael Hanke <mih@debian.org>  Thu, 16 Feb 2012 21:54:50 +0100

via (2.0.4-1) unstable; urgency=low

  * New release.

 -- Michael Hanke <mih@debian.org>  Wed, 08 Feb 2012 17:38:27 +0100

via (2.0.3+svn272-0) UNRELEASED; urgency=low

  * fixed bug in VFIllImage

 -- Lipsia Group (The official Lipsia developer group) <lipsia@cbs.mpg.de>  Tue, 29 Nov 2011 12:17:00 +0400

via (2.0.2+svn207-0) UNRELEASED; urgency=low

  * fixed range of VLong

 -- Lipsia Group (The official Lipsia developer group) <lipsia@cbs.mpg.de>  Tue, 05 May 2011 12:17:00 +0400

via (2.0.2+svn206-1) UNRELEASED; urgency=low

  * New upstream release. Changes in ABI, upstream skipped SO version 1 in
    public releases and moved directly to 2. Merged missing_header patch with
    upstream.
  * Fix via-bin archive section (libs -> science).
  * Package now needs libcblas.so, hence build-depends on libatlas.

 -- Michael Hanke <mih@debian.org>  Thu, 05 May 2011 09:53:53 -0400

via (2.0.1+svn191-0) UNRELEASED; urgency=low

  * renamed via-bin to via-utils

 -- Lipsia Group (The official Lipsia developer group) <lipsia@cbs.mpg.de>  Tue, 09 Nov 2010 12:17:00 +0400

via (2.0.0-0) UNRELEASED; urgency=low

  * This version comes with the new lipsia-2.0 package
    and comprises some minor bug fixes
  * Fixed type error of VLong (is now long)

 -- Lipsia Group (The official Lipsia developer group) <lipsia@cbs.mpg.de>  Tue, 09 Nov 2010 12:17:00 +0400
