=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: via
 Section: libs
 Priority: optional
-Maintainer: Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: cdbs, debhelper (>= 5), lesstif2-dev, libgsl0-dev, libxaw7-dev, doxygen, cmake, libblas-dev, libpng12-dev | libpng-dev
-Standards-Version: 3.8.4.0
+Maintainer: Lipsia Group <lipsia@cbs.mpg.de>
+Uploaders: Michael Hanke <mih@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), lesstif2-dev, libgsl0-dev, libxaw7-dev,
+ doxygen, cmake, libatlas-base-dev, libpng12-dev | libpng-dev
+Standards-Version: 3.9.2
 Homepage: http://www.cbs.mpg.de/institute/software/lipsia
 Vcs-Browser: http://git.debian.org/?p=debian-med/via.git
 Vcs-Git: git://git.debian.org/git/debian-med/via.git
-XS-DM-Upload-Allowed: yes
 
 
-Package: libvia0
+Package: libvia2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -24,7 +25,9 @@
 Package: libvia-dev
 Section: libdevel
 Architecture: any
-Depends: libvia0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libvia2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+ x11proto-core-dev
+Conflicts: via-dev
 Description: library for volumetric image analysis
  VIA is a volumetric image analysis suite. The included libraries provide
  about 70 image analysis functions.
@@ -35,7 +38,11 @@
 
 Package: via-bin
 Architecture: any
+Section: science
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libvia-doc
+Conflicts: via, via-utils
+Replaces: via-utils
 Description: tools for volumetric image analysis
  VIA is a volumetric image analysis suite for functional and structural
  (medical) images. The suite consists of different tools ranging from
